package com.ruoyi.adsdesk.controller.user;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.adsdesk.business.user.AdsUserBusiness;
import com.ruoyi.adsdesk.domain.AdsUser;
import com.ruoyi.adsdesk.param.UserListParam;
import com.ruoyi.adsdesk.vo.AdsUserVo;
import com.ruoyi.common.core.controller.BaseController;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * Ads 用户控制层
 *
 * @author Xingbz
 * 030 06-30
 */
@RestController
@RequestMapping("/adsdesk/ads_user")
public class AdsUserController{

    @Resource
    private AdsUserBusiness userBusiness;

    @PostMapping("/list")
    public IPage<AdsUserVo> list(@RequestBody UserListParam param) {
        return userBusiness.list(param);
    }
}
