package com.ruoyi.adsdesk.vo;
import com.ruoyi.adsdesk.common.AdsBaseEntity;
import lombok.Data;

/**
 * @author ：zhaoqingwei
 * @date ：Created in 2023/12/10 12:04
 * @description：${description}
 */
@Data
public class AdsUserVo extends AdsBaseEntity {

    /**
     * 客户id
     */
    private Long customerId;

    private String userName;
    private String userNick;
    private Integer userId;

    /**
     * email
     */
    private String email;

    /**
     * 密码
     */
    private String password;

    /**
     * 姓名
     */
    private String name;

    /**
     * 角色（OPERATE 优化师，MANAGER 优化经理，DESIGNER 设计师，ADMIN 默认主账号）
     */
    private String role;

    /**
     * 组id
     */
    private Long groupId;

    /**
     * 状态（DISABLE 暂停，ENABLE 启用）
     */
    private String status;

    /**
     * 查看tkio数据（1是，0否）
     */
    private Boolean showTkio;

    /**
     * 内部管理员
     */
    private Boolean isSuper;

    /**
     * 是否设计经理（1是 0否）
     */
    private Boolean isDesignManager;

    /**
     * 查看返点数据（1是，0否）
     */
    private Boolean showRebates;

}